<template>
  <template-page
    v-if="isShow"
    ref="pageRef"
    :getList="getList"
    :exportList="exportList"
    :optionsEvensGroup="optionsEvensGroup"
    :columnParsing="columnParsing"
  >
    <div slot="moreSearch">
      <el-date-picker
        v-model="time"
        type="datetime"
        value-format="yyyy-MM-dd HH:mm:ss"
        placeholder="选择日期时间"
        @change="()=>{
          isShow = false
          $nextTick(()=>{
            isShow = true
          })
        }">
      </el-date-picker>
      <br><br>
    </div>
  </template-page>
</template>

<script>
import TemplatePage from '@/components/template/template-page-1.vue'
import {
  walletHistoryList,
  walletHistoryListExport
} from '@/api/dealerHistoryWalletBalance2'
export default {
  components: { TemplatePage },
  data() {
    return {
      // 事件组合
      optionsEvensGroup: [],
      // 表格属性
      tableAttributes: {
      }, 
      // 表格事件
      tableEvents: {
      },
      time: "",
      isShow: true
    }
  },
  methods: {
    // 列表请求函数
    getList(p,cb) {
      cb && cb({...p, time:this.time})
      return walletHistoryList({...p, time:this.time})
    },
    // 列表导出函数
    exportList: walletHistoryListExport,
    // 表格列解析渲染数据更改
    columnParsing(item, defaultData) {
      return defaultData
    },
  }
}
</script>

<style lang="scss" scoped></style>
